﻿using MyWpfApp.models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using static System.Net.Mime.MediaTypeNames;

namespace MyWpfApp.Pages
{
    /// <summary>
    /// Логика взаимодействия для PageUserInfo.xaml
    /// </summary>
    public partial class PageUserInfo : Page
    {
        User user;


        int status;
        public PageUserInfo(LoginedTable currentUser)
        {
            InitializeComponent();    
            DataContext = new User(currentUser);
            status = 1;//редактируем существующего пользователя
            CBRoles.ItemsSource = Globals.MyGlobalConnection.Roles.ToList();//источник данных для элементов списка
            CBRoles.SelectedValuePath = "ID"; //какое значение (что конкретно) вернется при выборе пункта списка
            CBRoles.DisplayMemberPath = "Role";// что будет видно пользователю при отображении элементов списка

        }
        public PageUserInfo()
        {
            InitializeComponent();
            
           user = new User();
           DataContext = user;
            status = 0;//создаем нового пользователя
            CBRoles.ItemsSource = Globals.MyGlobalConnection.Roles.ToList();//источник данных для элементов списка
            CBRoles.SelectedValuePath = "ID"; //какое значение (что конкретно) вернется при выборе пункта списка
            CBRoles.DisplayMemberPath = "Role";// что будет видно пользователю при отображении элементов списка
        }
        private void BtnBack_Click(object sender, RoutedEventArgs e)
        {
            Globals.MyGlobalFrame.GoBack();
        }

        private void BtnSave_Click(object sender, RoutedEventArgs e)
        {
           if (status == 0)
            {
                Globals.MyGlobalConnection.LoginedTable.Add(user.LoginedTable);
                Globals.MyGlobalConnection.SaveChanges();                
                Globals.MyGlobalConnection.UserTable.Add(user.UserTable);
            }
           Globals.MyGlobalConnection.SaveChanges();
            MessageBox.Show("Сохранено");
        }
    }
}
